KJS5(1)

NAMN
kjs5 - KDE:s ECMAScript-kompatibla tolk

ÖVERSIKT

kjs5 [ | [--help] | [-help] | [-h] ] [ | [--version] | [-version] | [-v] ] [ | [-e sats] ] [ | skript ]

BESKRIVNING

kjs är KDE:s ECMAScript/JavaScript-gränssnitt.

PROGRAMVÄLJARE

--help,-help,-h
    Visa användning av kjs5.

--version,-version,-v
    Visa kjs5 version.

-e sats
    Kör satsen och avslutar. Till exempel:

        kjs5 -e "print('Hej allesamman')"

skript
    Kör satserna som är inkluderade i filen skript.

ANVÄNDNING

kjs5 fil, liksom många andra tolkar när de anropas utan parametrar, använder en radeditor för inskrivning av satser, och visar promptern

    JS
    >

. För att avsluta radeditorn, skriv quit() eller tryck på Ctrl+D.

SE OCKSÅ

kjscmd5(1)

FEL

Använd KDE:s felspårningssystem[1] för att rapportera fel.

AUTHOR

Harri Porten <porten@kde.org>
    Author.

NOTER

1.  KDE:s felspårningssystem
    http://bugs.kde.org